Skip to main content
GET
Details

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

list_id
integer
required

The list ID.

Query Parameters

language
string

Defaults to en-US

page
integer

The page number of a list.

Response

200 - application/json;charset=utf-8

Successful

average_rating
number

The average rating of all movies in the list.

backdrop_path
string

The backdrop image URL for the list.

results
object[]

A list of movies in the Marvel Universe.

comments
object

A mapping of movie IDs to comments.

created_by
object

The user who created the list.

description
string

A description of the movie list.

id
integer

The unique identifier for the movie list.

iso_3166_1
string

The country code where the list was created.

iso_639_1
string

The language code of the list.

item_count
integer

The number of items in the list.

name
string

The name of the list.

object_ids
object

A mapping of object identifiers.

page
integer

The current page number of the results.

poster_path
string

The URL path to the list's poster image.

public
boolean

Indicates if the list is public or private.

revenue
integer

The total revenue generated by the movies in the list.

runtime
integer

The total runtime of all movies in the list (in minutes).

sort_by
string

The sorting criteria used for the list.

total_pages
integer

The total number of pages available for the list.

total_results
integer

The total number of movies in the list.